db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rick Hillegas (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (DERBY-5840) Clean up compiler warnings introduced by using Java 5 language features
Date Tue, 03 Jul 2012 14:01:19 GMT

     [ https://issues.apache.org/jira/browse/DERBY-5840?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Rick Hillegas updated DERBY-5840:
---------------------------------

    Attachment: derby-5840-01-aa-compatibilityTests.diff

Attaching derby-5840-01-aa-compatibilityTests.diff. This patch fixes some unchecked compiler
warnings in the compatibility tests. Committed at subversion revision 1356735.

Most of the fixes involve adding parameter types to Collection declarations.

However, I added @SuppressWarnings annotations to a couple methods in order to silence the
compiler. The root cause of the warnings was that Collections methods were being called on
Collections whose parameter types were compiled at level 1.4. These annotations are needed
until we can use a Java 5 compiler to build the packages which contain the parameter types.

Touches the following files:

M       java/testing/org/apache/derbyTesting/functionTests/tests/compatibility/VersionedNetworkServerTestSetup.java
M       java/testing/org/apache/derbyTesting/functionTests/tests/compatibility/_Suite.java
M       java/testing/org/apache/derbyTesting/functionTests/tests/compatibility/VersionCombinationConfigurator.java
M       java/testing/org/apache/derbyTesting/functionTests/tests/compatibility/JDBCDriverTest.java

                
> Clean up compiler warnings introduced by using Java 5 language features
> -----------------------------------------------------------------------
>
>                 Key: DERBY-5840
>                 URL: https://issues.apache.org/jira/browse/DERBY-5840
>             Project: Derby
>          Issue Type: Improvement
>          Components: Miscellaneous
>    Affects Versions: 10.10.0.0
>            Reporter: Rick Hillegas
>         Attachments: derby-5840-01-aa-compatibilityTests.diff
>
>
> Using Java 5 language features forces us to compile code at level 5 or higher. At this
level, the compiler raises warnings not seen at lower levels. This issue is a place to discuss
and attach cleanup to eliminate these warnings.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message